Skip to content

Get Ingest Job

GET /ingest-jobs/{job_id}

One import. skipped names every row that did not land and why (§13).

NameInTypeNotes
job_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseIngestJobView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/ingest-jobs/{job_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
kb_idstring (uuid)required—
statusqueued | running | succeeded | failed | cancelledrequired—
stageanalyzing | embedding | nulloptional—
modeverbatim | analyzedrequired—
source_formatcsv | markdown | items | document | urlrequired—
source_filenamestring | nulloptional—
source_urlstring | nulloptional—
total_itemsintegeroptionalDefault 0.
processed_itemsintegeroptionalDefault 0.
created_itemsintegeroptionalDefault 0.
skippedIngestSkip[]optional—
analyzer_run_idstring (uuid) | nulloptional—
tokens_inputintegeroptionalDefault 0.
tokens_outputintegeroptionalDefault 0.
coststringoptionalDefault "0".
error_messagestring | nulloptional—
started_atstring (date-time) | nulloptional—
finished_atstring (date-time) | nulloptional—
created_atstring (date-time)required—